@import '~styles/variables.less';

.headBanner {
	padding: 20px;
	box-sizing: border-box;

	& .scroll {
		display: none;
	}

	@media(min-width: @breakpoint-2) {
		padding: 20px 60px 0;

		display: flex;
		flex-direction: column;
		justify-content: flex-end;
		height: calc(100vh - 96px);

		& .scroll {
			display: flex;
		}
	}
}

.wrapper {
	max-width: 1024px;

	flex-direction: column;
	display: flex;
	justify-content: flex-end;

	&:before {
		content: '';

		width: 110px;
		height: 1px;
		display: inline-block;

		background-color: @yellow;
	}
}

.title {
	margin: 0;

	line-height: 1;
	font-size: 36px;
	font-weight: 700;
	color: @white;

	& > span {
		color: @yellow;
	}

	@media(min-width: @breakpoint-2) {
		font-size: 56px;
	}
}

.subTitle {
	margin-bottom: 20px;

	font-size: 14px;
	line-height: 1.7;
	font-weight: 300;
	color: @gray;

	@media(min-width: @breakpoint-2) {
		margin: 30px 0 20px;

		font-size: 14px;
	}
}

.description {
	margin: 24px 0 0 0;

	font-size: 18px;
	font-weight: 400;
	line-height: 26px;
	color: #fff;

	@media(min-width: @breakpoint-2) {
		margin: 36px 0;
	}
}

.buttonsGroup {
	margin: 40px 0 0;

	display: flex;
	flex-direction: column;

	& > * {
		&:first-child {
			margin: 0 0 20px 0;
		}
	}

	@media(min-width: @breakpoint-2) {
		flex-direction: row;
		align-items: center;

		& > * {
			&:first-child {
				margin: 0 20px 0 0;
			}
		}
	}
}

.scroll {
	position: relative;

	margin: 60px 0 20px;
	padding: 0 20px;
	box-sizing: border-box;

	height: 80px;
	align-items: center;

	border-bottom: 6px solid @white;


	span {
		animation: fade 6s infinite;

		opacity: 0;
		font-weight: 300;
		color: @white;

		&:after {
			content: '';

			position: absolute;
			right: 30px;
			top: 50%;
			transform: rotate(90deg) translateY(-50%);

			width: 18px;
			height: 18px;

			background-image: url('/static/assets/svg/arrow/white.svg');
			background-repeat: no-repeat;
			background-position: center;
		}
	}
}

@keyframes fade {
	0% { opacity: 0; }
	50% { opacity: 1; }
	100% { opacity: 0; }
}
